Subject: Re: git-gc --prune interferes cogito?

From: Petr Baudis <[email-masked]>
Date: Wed, 17 Oct 2007 17:38:41 +0200

Hi,

On Wed, Oct 17, 2007 at 04:43:27PM +0200, [email-masked] wrote:
> I'm using git-1.5.3.2 and cogito-0.18.1.
> 
> After I did a git-gc --prune cg-status didn't show my branches anymore.
> git-branch -a still showed the branches.
> I think that git-gc removed all files from .git/refs/heads/ except for
> origin. Git seams to be fine with the branches in 
>  .git/logs/refs/heads/. 
> 
> So should git-gc not be used together with cogito?

  Cogito doesn't support packed heads - I guess setting gc.packrefs to
false should fix the issue. Cogito should support packed tags, I guess;
I don't know if there's a way to make git-gc pack only tags.

-- 
				Petr "Pasky" Baudis
Early to rise and early to bed makes a male healthy and wealthy and dead.
                -- James Thurber